framework:
    secret: '%env(APP_SECRET)%'
    http_method_override: false
    handle_all_throwables: true
    
    session:
        enabled: true
        handler_id: null  # Session basée sur les fichiers
        cookie_secure: false  # false en développement
        cookie_samesite: lax
        name: 'MARKETPLACE_SESSION'
        cookie_lifetime: 86400
        gc_maxlifetime: 86400
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    
    php_errors:
        log: true
    
    serializer:
        enabled: true
    
    validation:
        email_validation_mode: html5